# node-fastbit-addon
FastBit native binding for Node.js

[![Build Status](https://leeroy.gitlord.com/buildStatus/icon?job=node-fastbit-addon-n6.11.0-release)](https://leeroy.gitlord.com/job/node-fastbit-addon-n6.11.0-release)

# Change notes

* 2017-06-26 - 1.1.2 - Added unit tests
* 2017-06-17 - 1.1.0 - Fixed installation for Node 6.11.0
* 2016-04-20 - 1.0.4 - Compatible with FastBit 2.0.3
* 2015-10-21 - 1.0.0 - All FastBit bindings accounted for.


# Installation instructions

1. Make sure you have built libfastbit.a from source. If you are using clang for
  an example:
```
./configure --without-java --with-extracflags="-fPIC" --with-extracxxflags="-fPIC"
```
  and then do ```make``` or ```gmake -j <num>```

2. Make sure the static lib file is in the directory where you will install
  the node module.

Run the preinstall.sh script which will:
1. Download fastbit 2.0.3 from source
2. Unpack into ./import directory
3. Copy the libfastbit.a into ./import directory

After running the preinstall.sh script
1. node-gyp rebuild
2. node-gyp will build the node addon with FastBit static library
